# Product version information

{% hint style="warning" %}

### API test authentication

The Open API block allows you to test OS APIs directly from the page with example data and parameters. To use this feature, you will need to add your API Key or OAuth2 token to the authentication field.

For help generating an API Key or OAuth2 token, please see the [Getting started with an API project](https://docs.os.uk/os-apis/core-concepts/getting-started-with-an-api-project) or [OAuth2 documentation](https://docs.os.uk/os-apis/accessing-os-apis/oauth-2-api).
{% endhint %}

## Returns product version details of the source data products

> Returns current valid version information for identifier relationships

```json
{"openapi":"3.0.0","info":{"title":"OS Linked Identifiers API","version":"1.0.0"},"tags":[{"name":"OS OpenData Users","description":"Operations available to customers using the OpenData plan"}],"servers":[{"description":"OS Linked Identifiers API on OS Data Hub","url":"${lids.api.server}/search/links/v1"}],"security":[{"ApiKeyAuth":[]},{"OAuth2":["read"]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"key"},"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.os.uk/oauth2/token/v1","scopes":{"read":"Grants read access"}}}}},"schemas":{"correlationMethodInformation":{"type":"object","required":["methodIdentfier","productCreationDate","identifier1Source","identifier2Source"],"additionalProperties":false,"properties":{"methodIdentifier":{"$ref":"#/components/schemas/correlationMethodIdentifier"},"productCreationDate":{"type":"string"},"productPublicationName":{"type":"string"},"identifier1Source":{"$ref":"#/components/schemas/identifierSource"},"identifier2Source":{"$ref":"#/components/schemas/identifierSource"}}},"correlationMethodIdentifier":{"type":"string","enum":["RoadLink_TOID_TopographicArea_TOID_2","Road_TOID_TopographicArea_TOID_3","Street_USRN_TopographicArea_TOID_4","BLPU_UPRN_TopographicArea_TOID_5","RoadLink_TOID_Road_TOID_7","RoadLink_TOID_Street_USRN_8","BLPU_UPRN_RoadLink_TOID_9","Road_TOID_Street_USRN_10","BLPU_UPRN_Street_USRN_11","ORRoadLink_GUID_RoadLink_TOID_12","ORRoadNode_GUID_RoadLink_TOID_13"]},"identifierSource":{"type":"object","required":["productName","productPublicationDate","featureType","identifierType"],"additionalProperties":false,"properties":{"productName":{"type":"string","enum":["AddressBase Premium","OS MasterMap Highways Network - Roads","OS MasterMap Topography Layer","OS Open Roads"]},"productPublicationDate":{"type":"string"},"productPublicationName":{"type":"string"},"featureType":{"$ref":"#/components/schemas/featureType"},"identifierType":{"$ref":"#/components/schemas/identifierType"}}},"featureType":{"type":"string","enum":["BLPU","ORRoadNode","ORRoadLink","Road","RoadLink","Street","TopographicArea"]},"identifierType":{"type":"string","enum":["GUID","TOID","UPRN","USRN"]}},"responses":{"BadRequest":{"description":"E.g. missing query parameter, malformed syntax."},"Unauthorized":{"description":"The client has not provided authentication or incorrect authentication."},"Forbidden":{"description":"The client has authenticated its access but does not have sufficient rights to complete the request."},"NotFound":{"description":"The server has not found anything matching the Request-URI."},"MethodNotAllowed":{"description":"Request used an unsupported HTTP method, e.g. DELETE or PUT."},"TooManyRequests":{"description":"Exceeded the number of requests per minute (rate-limit)."},"InternalServerError":{"description":"Generic internal server error."},"ServiceUnavailable":{"description":"Temporary outage due to overloading or maintenance."}}},"paths":{"/productVersionInfo/{correlationMethod}":{"get":{"tags":["OS OpenData Users"],"summary":"Returns product version details of the source data products","description":"Returns current valid version information for identifier relationships","parameters":[{"name":"correlationMethod","in":"path","description":"Correlation method being queried","explode":true,"required":true,"schema":{"type":"string","enum":["RoadLink_TOID_TopographicArea_TOID_2","Road_TOID_TopographicArea_TOID_3","Street_USRN_TopographicArea_TOID_4","BLPU_UPRN_TopographicArea_TOID_5","RoadLink_TOID_Road_TOID_7","RoadLink_TOID_Street_USRN_8","BLPU_UPRN_RoadLink_TOID_9","Road_TOID_Street_USRN_10","BLPU_UPRN_Street_USRN_11","ORRoadLink_GUID_RoadLink_TOID_12","ORRoadNode_GUID_RoadLink_TOID_13"]}}],"responses":{"200":{"description":"Returns product version information about the requested correlation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/correlationMethodInformation"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"405":{"$ref":"#/components/responses/MethodNotAllowed"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalServerError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-linked-identifiers-api/technical-specification/product-version-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
